@font-face {
    font-family: "dd20";
    src: url("../fonts/bookmanold.otf");
}

.start-box {
    width: 40rem;
    padding: 2em;
    padding: 0.7rem;
    background: #FFFFFF;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    /* width: 25em; */
    margin-top: 2em;
    display: flex;
    flex-wrap: wrap;
}
.start-box .button {
    margin-left: 1em; ;
}

.header {
    font-family: "Bookman", serif;
    text-align: center;
    color: white;
    background-color: black;
    padding:0.25em;
    font-size: 150%;;
}

.example-box {
    width: 14em;
    padding: 2em;
    padding: 0.7rem;
    background: #FFFFFF;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    width: 25em;
    margin-top: 2em;
}

.margin-b {
    margin-bottom: 20px;
}

.center {
    display: flex;
    justify-content: center;
}

.bg {
    background: #FEF4E6;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.bar {
    display: flex;
    flex-direction: column;
}

.columnas {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

body,
html {
    margin: 0;
    padding: 0;
    border: 0;
    overflow: hidden;
}



input {
    margin: 0.2em;
    /* height: 1.5rem; */
}
.butongroup {
    padding: 0.2em;
    margin: 0.2em;
    margin-bottom: 0;
    padding-bottom: 0;
    border-bottom: 0;
}

.submessage {
    margin: 0.1em;
}

.downbar {
display: flex;
    justify-content: space-around;
    min-width: 50%;

}

.upbar {
    /* display: flex; */
    /* flex-direction: row; */
    /* z-index: 10; */
}

.token {
    /* height: 2.7em; */
    /* margin: 0.2em; */
    /* width: auto; */
}

.tokenA {
    height: 2.7em;
    margin: 0.2em;
    width: auto;
}


.tokentA {
    /* height: 0.7em; */
    margin: 0.5rem;
    width: auto;
}

.roundinput {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.section {
    height: 85vh;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background: url(../img/background.jpg);
    background-color: black;
  font-family: "Bookman", serif; 
        font-size: 125%;
    background-color: #b167b066;
    background-blend-mode: saturation;
}
.section li {
margin-top: 0.5em;
}
.section ul {
    margin-top: 1.5em;

}
.urlinput {
    min-width: 25em;
    max-width: -5rem;
    /* flex-grow: 2; */
}

.inputgroup {
    margin-right: 1em;
}

@media (max-width: 1024px) {
    .section {
        font-size: 125%;;
    }
    .header {
        font-size: 125%;;
    }
}

.logo {
    height: 15vh;
    float: left;
}

@media (max-width: 768px) {
    .section {
        font-size: 100%;;
    }
    .header {
        font-size: 100%;;
    }

}

@media only screen and (max-width: 812px) and (orientation: landscape) {

}

.image-medium {
    float: left;
    height: 10rem;
    width: auto;
    margin: 0.5rem;
}

.message {
    position: absolute;
    left: Calc(50vw - 20rem);
    width: 20em;
    top: Calc(50vh - 5rem);
    padding: 1em;
    line-height: 1.38;
    font-family: "Bookman", serif;
    font-size: 200%;
    text-align: center;
    background: #FFFFFF;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    z-index: 1200;
}

.fogbar {
    display: flex;
    flex-direction: column;
    padding: 0.3em;
    width: 6em;
}

.dicebar {
    display: flex;
    flex-direction: column;
    padding: 0.3rem;
    background: #FFFFFF;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    width: 6rem;
    margin-right: 0.5rem;
}

.tokenbar {
    width: 6rem;
    margin-right: 0.5rem;
    display: flex;
    flex-direction: column;
    padding: 0.3rem;
    background: #FFFFFF;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    text-align: center;
    font-family: "Bookman", serif;
    margin-top: 0.5rem;
}

.superbar {
    position: absolute;
    right: 5rem;
    top: 8rem;
    /* width: 22rem; */
    /* height: 16rem; */
    background: steelblue;
    padding: 0.5rem;
    display: flex;
    flex-wrap: wrap;
    /* align-self: flex-end; */
    flex-direction: column;
    /* align-content: space-between; */
    /* justify-content: left; */
    /* justify-content: right; */
    /* max-width: 26rem; */
    /* align-content: stretch; */
    /* justify-content: flex-start; */
    /* align-items: flex-end; */
}

.supercol {
    position: absolute;
    right: 5rem;
    top: 8rem;
    width: 27rem;
    /* height: 16rem; */
    background: steelblue;
    padding: 0.5rem;
    display: flex;
    /* flex-wrap: wrap; */
    /* align-self: flex-end; */
    flex-direction: column;
    /* align-content: space-around; */
    /* justify-content: center; */
    /* justify-content: right; */
    /* align-content: stretch; */
}

.buttons-line {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: flex-end;
    /* width: 40%; */
}

.superbox {
        background: #337ab7;
        /* border: 1px solid #DFDCDC; */
        /* box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19); */
        /* border-radius: 6px; */
        /* min-height: 4rem; */
        color: white;
}

.dice-roll {
    text-align: center;
    font-size: 150%;
     font-family: "Bookman", serif;
        border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    margin-bottom: 0.1em;
    margin-top: 0.1em;
}

.dice-roll:hover {
    
    background-color: rgb(214, 169, 255);
}

.dice-select th {
        text-align: center;
    
        border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    padding: 0.4em;
    background-color: white;
        margin-bottom: 0.1em;
    margin-top: 0.1em;
}

.dice-select {padding: 1em;font-size: 130%;font-family: "Bookman", serif;text-align: center;margin-top: 5rem;z-index: 200;}
.view-select {padding: 1em;font-size: 125%;font-family: "Bookman", serif;text-align: left;margin-top: 5rem;background: #FFFFFF;border: 1px solid #DFDCDC;box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);border-radius: 6px;}
.dice-select table {
         border-spacing: 0.5rem;
    width: 100%;
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome and Opera */
  }



.right {
text-align: right;
}



.combine-dice {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    padding: 0.2em;
}

.flex-top {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    padding: 0.2em;
}

.grow {
    flex-grow: 5; 
}

.log {
    position: fixed;
    width: 35%;
    height: 12rem;
    bottom: 0.5rem;
    padding: 0.5em;
    font-family: 'Courier New', Courier, monospace;
    font-size: 125%;
    text-align: left;
    text-shadow: 1px 1px 5px rgba(248, 248, 213, 0.75);
    font-weight: 700;
    color:rgb(28, 28, 28);
    z-index: 100;
}

#dice-canvas {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: absolute;
    left: 0;
    top: 0;
    pointer-events: none;
    background: transparent;
    z-index: 100;
}

#dice-canvas canvas {
    pointer-events: none;
}

.columgroup {
        display: flex;
    flex-direction: column;
}

#bcombine {
    font-family: "Bookman", serif;
    text-align: center;
    font-size: 75%;
}

#combine-dice {
        font-family: "Bookman", serif;
    text-align: center;
    font-size: 75%;
}

#combine-dice-ok {
        font-family: "Bookman", serif;
    text-align: center;
    font-size: 75%;
}

.for-admin {
   
}

.super-dice-select {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.track_bar {
    position: absolute;
    display: flex;
    flex-direction: column;
    background-color: rgba(128, 128, 128, 0.21);
    width: 6Rem;
    left: 0.5Rem;
    top: 8Rem;
}

.track_item {
    height: 6em;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content:flex-start;
    background-repeat: no-repeat;
    background-size: contain;
    clip-path: circle(48px at center);
}

.track_hp {
    font-size: 150%;
    width: 2em;
}

.track_name {
    margin:0;
    font-size: 60%;
    width: 100%;
    margin-bottom: 1.2rem;
    text-align: center;
}

.track_init {
    display: none;
    margin:0;        
    margin-bottom: 0.2rem;
    text-align: center;
    width: 55%;
}

.track_hp2 {
    display: none;
    margin:0;        
    margin-bottom: 0.2rem;    
    width: 2em;
    font-size: 125%;
    border-radius: 15px;
}

.selected .track_name {
    margin-bottom: 0.2rem;
}

.selected .track_init {
    display: block;
}

.selected .track_hp2 {
    display: block;
}

.background-bar {

/* position: absolute; */

/* top: 24rem; */

/* left: 4rem; */

/* width: 90vw; */

/* height: 60vh; */

/* min-height: 10rem; */

/* z-index: 1000; */

/* background: #c1c1c1; */

/* border: 1px solid #DFDCDC; */

/* box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19); */

/* border-radius: 6px; */

display: flex;

flex-wrap: wrap;

place-content: flex-start;

overflow-y: auto;
}

.asset-bar {
    position: absolute;
    top: 23rem;
    left: 8rem;
    right: 6rem;
    min-width: 70vw;
    max-height: 68vh;
    min-height: 10rem;
    z-index: 1000;
    background: #c1c1c1;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    display: flex;
    flex-wrap: wrap;
    place-content: flex-start;
    overflow-y: auto;
}

.music-bar {

position: relative;

/* top: 0.5rem; */

/* right: 0vw; */

/* width: 28vw; */

height: 64vh;

z-index: 1000;

background: #c1c1c1;

/* border: 1px solid #DFDCDC; */

box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);

border-radius: 6px;

display: flex;

flex-wrap: wrap;

place-content: flex-start;

overflow-y: auto;

margin-top: .3rem;
}

.player-asset-bar {
   
    display: flex;
    flex-direction: column;
    min-height: 28rem;
    padding: 0.3rem;
    z-index: 100;
    overflow-y: auto;
    overflow-x:hidden;
    margin-top: 0.5rem;
    margin-right: 0.5rem;


}
.distance-bar {
    position: absolute;
    left: 0.5rem;
    top:0.5rem;
    display: flex;
    flex-direction: column;
    height: 5rem;    
    width: 5rem;
    padding: 0.3rem;
    text-shadow: 1px 1px 5px rgba(248, 248, 213, 0.75);
    font-weight: 700;

    z-index: 100;
    margin-top: 0.5rem;
    margin-right: 0.5rem;
    text-align: center;
    font-size: 150%;
    font-family: "Bookman", serif;
    line-height: 1.5;
}

.bglist {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 10rem;
    /* width: 10rem; */    
    background: #FFFFFF;
    border: 2px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    /* padding: 0.5rem; */
    margin: 0.5rem;
}

.bglisscene {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 9rem;
    width: 16rem;
    background: #FFFFFF;
    border: 2px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    /* padding: 0.5rem; */
    margin: 0.5rem;
}


.musiclist {
    height: 1.5rem;
    width: 100%;
    padding: 0.25rem;
    margin: 0.25rem;
    padding-left: 0.4rem;

    background: #FFFFFF;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;

    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;

}

.player-asset-bar img {
    width: 8rem;
    height: auto;
}

.grayed {
    filter: grayscale(1) opacity(0.5);
}
.ontop {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1000;
    background-color: rgba(39, 39, 39, 0.75);
    backdrop-filter: blur(10px);
}

.onassets {
    position: absolute;
    top: 5vh;
    left: 5vw;
    width: 90vw;
    height: 90vh;
    z-index: 1012;
    background: #c1c1c1;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    display: flex;
    flex-wrap: wrap;
    place-content: flex-start;
    overflow-y: auto;
}

.allscenes{
    /* position: absolute; */
    /* top: 24rem; */
    /* left: 4rem; */
    /* width: 90vw; */
    /* z-index: 1010; */
    background: #636363;
    /* border: 1px solid #DFDCDC; */
    /* box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19); */
    /* border-radius: 6px; */
    display: flex;
    flex-wrap: wrap;
    place-content: flex-start;
    overflow-y: auto;
}

.metabackgrounds{
    position: absolute;
    top: 24.5rem;
    left: 7rem;
    right: 6rem;
    min-height: 10rem;
    /* min-width: 60vw; */
    max-height: 60vh;
    z-index: 1010;
    background: #c1c1c1;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    display: flex;
    flex-wrap: wrap;
    place-content: flex-start;
    overflow-y: auto;
}

.videoontop {
    position: absolute;
    top: 5vh;
    left: 5vw;
    width: 90vw;
    height: 90vh;
    z-index: 1000;
}

.player-name {
    text-align: center;
}
.ddowbar {
    /* display: flex; */
    /* z-index: 5; */
    /* margin-top: -1rem; */
}

.subbar {
   display: flex;
   flex-flow: row-reverse;
   align-items: flex-end;
  
}
.subbar a:link, .subbar a:visited {
    color:white;
    margin-left: 1em;
}

.button {
    border: 1px solid #000000;
    box-shadow: -1px 1px 2px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    margin-bottom: 0.2em;
    margin-top: 0.2em;
    background-color: #d1d2ff;
    background-color: #d1ecff;
    text-align: center;
    padding: 0.25em;
    margin: 0.2em;
    /* flex-grow: 1; */
}

.button-pressed {
    border: 1px solid #000000;
    box-shadow: -1px 1px 2px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    margin-bottom: 0.2em;
    margin-top: 0.2em;
    background-color: #28295c;
    text-align: center;
    padding: 0.25em;
    margin: 0.2em;
}

.button:hover { 
    background-color: #9cd4f5;
}

.lateral {
    /* position: absolute; */
    /* display: flex; */
    /* right: 0.5rem; */
    /* top:8rem; */
    /* height: 5rem; */
}

.left-lateral {
    display: flex;
    flex-direction: column;    
    align-items: center;
}

.rigth-lateral {
    display: flex;
    flex-direction: column;  
}

.chat-text {
    /* width: 17.5rem; */
    height: 60vh;
    background-color: #d5d5e262;
    border-radius: 1rem;
    overflow-y: auto;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    line-height: 1.3;
    padding: 0.5rem;
}
.chat-show {
    max-height: 1rem;
}
.chat-text-area {
    margin-left: auto;
    margin-right: auto;
    width: calc(100% - 1rem);
    margin-top: 0.5rem;
    font-size: 150%;
    border-radius: 1rem;
    padding: 0.5rem;
}
.patreon {
    background-color: rgb(255, 66, 77);
    color: white;
    font-family: sans-serif;
    margin: 0.1rem;
    padding: 0.4rem;
    text-decoration: none;

}

.github-button {
    background-color: rgb(73, 73, 73);    
    padding: 0.1rem;
    padding-top: 1rem;
    width: 7rem;
}

.github-button img {
    height: 2rem;    
}


.playerid {
    font-weight: 700;
}

.textbox {
    background-color: violet;
    padding: 0.25rem;
}

.hp {
    position: absolute;
    background-color: rgba(200, 100, 100, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none;

}
.thp {
    position: absolute;
    background-color: rgba(155, 155, 155, 0.5);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 125%;
    width: 100%;
    text-align: center;
    pointer-events: none;
}

.spinner {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 125%;
    text-align: center;
    pointer-events: all;
    max-width: 75%;
    width: 4rem;
    background-color: transparent;   
    border-radius: 1rem;
    color: white;    
}

.spinner:hover::-webkit-inner-spin-button, 
.spinner:hover::-webkit-outer-spin-button { 
    opacity: 1;
}

.total {
    font-weight: 700;
}

.supizq {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 1rem;
    position: absolute;
    text-align: center;
    vertical-align: middle;
    width: 33%;
    height: 33%;
    left: 0;
    top: 0;
    margin: 0;
    padding: 0;
    border: 0;
    border-bottom-right-radius: 1rem;
    background-image: url("../img/12.jpg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-color: black;
}

.infder {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 1rem;
    position: absolute;
    text-align: center;
    vertical-align: middle;
    width: 33%;
    height: 33%;
    right: 0;
    bottom: 0;
    margin: 0;
    padding: 0;
    border: 0;
    border-top-left-radius: 1rem;
    background-image: url("../img/x2.jpg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-color: black;
}

.ddice_result {
	min-width: 130px;
    margin: 18px;
    flex-grow: 2;
}

.ddice_result_total {
    font-size: 36px;
    color: #fff;
    width: 100px;
    text-align: center;
    flex-grow: 1;
}

.dlog {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.log .dice_result__total-result {
    color: black;
}

.dice_result p {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    line-height: 1.15;

}

.hello {
        position: absolute;
        left: 25vw;
        width: 50vw;
        top: 4rem;
        /* height: 90vh; */
        padding: 0.5em;
        line-height: 1.38;
        font-family: "Bookman", serif;
        font-size: 150%;
        text-align: center;
        background: #FFFFFF;
        border: 1px solid #DFDCDC;
        box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
        border-radius: 6px;
        display: flex;
        flex-direction: column;
        /* align-self: center; */
}

.help-entry {
    /*margin-top: 1rem;*/
    /*margin-bottom: 3rem;*/
}

.image-rigth {
    float: right;
    height: 8rem;
    width: auto;
}

.lista-botones {
    display: flex;
    height: 3rem;
}
.inside-top-class {
	position: relative;
	top: 5%;
	left: 0%;
	width: 100%;
	height: 100%;
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
}

.title-player-view {
padding: 0.5rem;
    color: white;
    text-align: center;
}

.grid {
    display: grid;
    grid-template-columns: 3rem 24rem 3rem 22rem;
}

.triple {
    grid-column: span 3;
    /* margin-bottom: -0.5rem; */
    align-self: center;
    text-align: center;
}

.centered-text {    
    color: rgb(0, 0, 0);
    font-size: 150%;
    text-decoration: none;
    padding: 0.5rem;
    text-shadow: 1px 1px 8px #ffffff, -1px -1px 8px #ffffff;
  }

  .div-centered-text {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 10rem;
    width: Calc( 20vw - 5rem );
    background: #FFFFFF;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    padding: 0.5rem;
    margin: 0.5rem;
  }

  .trash {
    position: absolute;
    bottom: 5.5%;
    right: 5.5%;
    width: 5%;
    height: 5%;
    z-index: 1101;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-image: url("../img/trash_icon.png");
  }

  .left-trash {
    position: absolute;
    bottom: 10rem;
    left: 5rem;
    width: 5rem;
    height: 5%;
    z-index: 1001;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-image: url("../img/trash_icon.png");
  }

  .selected {
    width: 12rem;
    height: 12rem;
    clip-path: circle(95px at center);
  }

.iframe {
    position: absolute;
    top: 10vh;
    right: 0;   
    height: 73vh;
    width: 27rem;
    z-index: 1000;
    overflow-y: auto;

}

#monster-list {
    float: right;
    width: 100%;    
    text-align-last: right;
}

.pdf_upload {
    position: absolute;
    left: Calc(50vw - 20rem);
    width: 40em;
    top: Calc(25vh - 5rem);
    padding: 0.5em;
    line-height: 1.38;
    font-family: "Bookman", serif;
    text-align: center;
    background: #FFFFFF;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    z-index: 1001;
}

.upload_text {
    font-size: 200%;

}

.over-audio {
    background: rgb(241 243 244);
    /* float: right; */
    /* margin-left: -2.5rem; */
    z-index: 100;
    border-radius: 20px;
    height: 3.4rem;
    /* width: 5.4rem; */
    /* padding: 0.5rem; */
    position: relative;
    display: flex;
    justify-content: space-between;
    align-content: space-between;
}

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    min-width: 3rem;
    height: 1.5rem;
    margin-left: 0.1rem;
    margin-top: 0.5rem;
  }
  
  /* Hide default HTML checkbox */
  .switch input {
    width: 0rem;
    height: 0rem;
  }
  
  /* The slider */
  .slider2 {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
    border: 1px solid #000000;
  }
  
  .slider2:before {
    position: absolute;
    content: "";
    height: 1.3rem;
    width: 1.3rem;
    left: 0.2rem;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider2 {
    background-color: #d1d2ff;
  }
  
  input:focus + .slider2 {
    box-shadow: 0 0 1px #d1d2ff;
  }
  
  input:checked + .slider2:before {
    transform: translateX(1.2rem);
  }
  
  /* Rounded sliders */
  .slider2.round {
    border-radius: 34px;
  }
  
  .slider2.round:before {
    border-radius: 50%;
  }

  .assetmodebar {
    display: flex;
    flex-direction: row;
    padding: 0.1rem;
    /* background: #FFFFFF; */
    /* border: 1px solid #DFDCDC; */
    /* box-shadow: -4px 2px 12px 0 rgb(0 0 0 / 19%); */
    /* border-radius: 6px; */
    /* width: 6rem; */
    /* margin-right: 0.5rem; */
    /* margin-top: 0.5rem; */
    align-items: center;
    font-size: 75%;
}

@media screen and (max-width: 1024px) {
    .aditional_dice {
        display: none !important;
    }
}

#barra-derecha {
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 8rem;
    right: 0px;
    width: 1rem;
    background-color: steelblue;
    color: steelblue;
    justify-items: flex-end;
    padding: 0.1rem;
    text-align: center;
    cursor: context-menu;
    overflow:hidden;
    border-radius: 5px 0px 0px 5px;
    /* border: 1px solid #000000; */
}

@media (max-width: 1024px) {
    #barra-derecha {
        width: inherit;
        color: white;
    }
}


#barra-derecha:hover {
    width: inherit;
    color: white;
}

.texto-menu-derecha {
    text-align: center;
    font-family: dd20, Verdana, Geneva, Tahoma, sans-serif;
    padding-right: 5px;
    padding-left: 5px;
}

.texto-menu-derecha:hover {
    background-color: #9cd4f5;
}

.token-bar-grid {
    justify-items: end;
    /* align-self: center; */
    background: white;
    align-content: start;
    display: grid;
    grid-template-columns: 3fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 4rem 4rem 4rem 4rem 2rem;
    gap: 0px 0px;
    grid-auto-flow: row;
    grid-template-areas:
        "url-text upload urlinput urlinput urlinput urlinput urlinput ham "
        "size-text . size-area size-area size-area size-area size-area . "
        "quick-text token-bar token-bar token-bar token-bar token-bar token-bar token-bar "
        "img-show . . add add totrack totrack flecha"
        "chlabel1 chname chname chname chset chlabel2 chlabel2 chlabel2";
}

#TokenBar {
    position: absolute;
    right: 5rem;
    top: 8rem;
    width: 44rem;
    min-height: 20 rem;
    background: steelblue;
    padding: 0.5rem;
}

#chat-area {
    position: absolute;
    right: 5rem;
    top: 8rem;
    width: 20rem;
    height: 46rem;
    padding: 0.5rem;
}

#PlayerAssetBar {
    position: absolute;
    right: 5rem;
    top: 8rem;
    width: 11rem;
    height: 46rem;
    padding: 0.5rem;
    background-color: #ffffff21;
    overflow-y: scroll;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;
}

#PlayerAssetBar::-webkit-scrollbar {
    display: none;
}

.menu-text {
    place-self: center stretch;
    font-family: dd20, Verdana, Geneva, Tahoma, sans-serif;
    font-size: 90%;
    color: #ffffff;
    margin-right: 0.75rem;
    /* margin-top: 2rem; */
}

.quick-text {grid-area: quick-text;}

.url-text {
    grid-area: url-text;
}

.img-show {
    grid-area: img-show;
    max-width: 10rem;
    /* max-width: 5rem; */
    max-height: 6rem;
    /* display: flex; */
    /* justify-content: center; */
    /* align-items: center; */
    margin-right: auto;
    margin-left: 1.5rem;
    margin-top: -0.6rem;
    clip-path: circle(48px at center);
}

.img-show-asset {
    max-width: 10rem;
    max-height: 8rem;
    margin-right: auto;
    margin-left: 1.5rem;
    margin-top: 0.5rem;
    /* width: 26%; */
}

.img-show-map {
    max-width: 10rem;
    max-height: 4rem;
    margin-right: auto;
    margin-left: auto;    
}

.size-text {
    grid-area: size-text;
}
  
.ham { grid-area: ham; 
    place-self: center stretch;
}  
  .upload {
    grid-area: upload;
    place-self: center stretch;
    /* justify-content: flex-end; */
}
  
  .size-area {
    grid-area: size-area;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    height: 3rem;
    align-items: flex-start;
  }
  
  .urlinput {
    grid-area: urlinput;
    place-self: center stretch;
    height: 1.5rem;
}
  
  .add { grid-area: add; 
    place-self: center stretch;
}
  
  .totrack { grid-area: totrack; 
    place-self: center stretch;
}
.chname {
    grid-area: chname; 
    place-self: center stretch;
}
.flechad {
    grid-area: flecha;
    place-self: center stretch;
    height: 2rem;
    margin-top: -2rem;
}
.chset {
    grid-area: chset; 
    place-self: center stretch;
}
.chlabel1 {
    grid-area: chlabel1; 
    place-self: center stretch;
}
.chlabel2 {
    grid-area: chlabel2; 
    place-self: center stretch;
}

  .token-bar {
    grid-area: token-bar;
    display: flex;
    justify-content: space-between;
    place-self: center stretch;
    background: white;
    padding: 0.25rem;
    border: 1px solid #DFDCDC;
    box-shadow: -4px 2px 12px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
}

  .token-bar > img {
    height: 4rem;
    margin: 0.1rem;
  }

.columna {
    display: flex;
    flex-direction: column;
    flex-grow: 2;
  }

  .start-box .button {
    margin-left: 1rem; ;
}
.start-box .button-gray {
    margin-left: 1rem;
}

.button-gray {
    /* width: 25%; */
    font-size: 50%;
    border: 1px solid #000000;
    box-shadow: -1px 1px 2px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
    /* margin-bottom: 0.2em; */
    /* margin-top: 0.2em; */
    /* background-color: #d1d2ff; */
    background-color: #ededed;
    /* text-align: center; */
    padding: 0.25em;
    margin: 0.2em;
    /* flex-grow: 1.1; */
    height: 1rem;
    /* margin-left: 2em; */
}

.hrmargin {
    margin-bottom: 0.5rem;
    margin-top: 2rem;
}